###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2009 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

# main (empty) package
# http://www.rpm.org/max-rpm/s1-rpm-subpack-spec-file-changes.html

# keep around ready for later user
## define alphatag rc4

Name: rgmanager
Summary: Open Source HA Resource Group Failover for Red Hat Cluster
Version: 3.0.5
Release: 1%{?alphatag:.%{alphatag}}%{?dist}
License: GPLv2+ and LGPLv2+
Group: System Environment/Base
URL: http://sources.redhat.com/cluster/wiki/
Source0: ftp://sources.redhat.com/pub/cluster/releases/rgmanager-%{version}%{?alphatag:.%{alphatag}}.tar.gz

## runtime

Requires: chkconfig initscripts
Requires: cman resource-agents
Requires(post): chkconfig
Requires(preun): initscripts
Requires(preun): chkconfig

## Setup/build bits

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Build dependencies
BuildRequires: clusterlib-devel >= 3.0.0-1
BuildRequires: libxml2-devel ncurses-devel slang-devel

%prep
%setup -q -n rgmanager-%{version}%{?alphatag:.%{alphatag}}

%build
./configure \
  --sbindir=%{_sbindir} \
  --initddir=%{_sysconfdir}/rc.d/init.d \
  --libdir=%{_libdir} \
  --without_fence_agents \
  --without_resource_agents \
  --without_kernel_modules \
  --disable_kernel_check

##CFLAGS="$(echo '%{optflags}')" make %{_smp_mflags}
CFLAGS="$(echo '%{optflags}')" make -C rgmanager all

%install
rm -rf %{buildroot}
make -C rgmanager install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%description
Red Hat Resource Group Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime.

%post
/sbin/chkconfig --add rgmanager

%preun
if [ "$1" = 0 ]; then
	/sbin/service rgmanager stop >/dev/null 2>&1
	/sbin/chkconfig --del rgmanager
fi

%files
%defattr(-,root,root,-)
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence rgmanager/README rgmanager/errors.txt
%{_sysconfdir}/rc.d/init.d/rgmanager
%{_sbindir}/clu*
%{_sbindir}/rgmanager
%{_sbindir}/rg_test
%{_mandir}/man8/clu*

%changelog
* Fri Nov 20 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.5-1
- New upstream release

* Wed Oct 21 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.4-1
- New upstream release

* Tue Sep  1 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.3-1
- Split from cluster srpm
